View Poll Results: Did this how-to work for you?

Voters
204. You may not vote on this poll
  • Yes

    184 90.20%
  • No

    20 9.80%
Page 2 of 24 FirstFirst 123412 ... LastLast
Results 11 to 20 of 231

Thread: How To:MadWifi Support for AR2425 (AR5007EG) on 64bit Ubuntu !!!

  1. #11
    Join Date
    May 2008
    Location
    Curauma-Valparaiso-Chile
    Beans
    31
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: How To:MadWifi Support for AR2425 (AR5007EG) on 64bit Ubuntu !!!

    Quote Originally Posted by Anduu View Post
    You need to have the linux-restricted-modules package installed,in your case the real time ones.

    Code:
    sudo apt-get install linux-restricted-modules-rt
    I guess I should append that to the how-to
    Hi Anduu,

    I did that and the system tells me that the *rt version already is the latest. I am stucked. By coincidence, the laptop I am configuring is the same as Dan1701a's.

  2. #12
    Join Date
    May 2008
    Location
    Curauma-Valparaiso-Chile
    Beans
    31
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: How To:MadWifi Support for AR2425 (AR5007EG) on 64bit Ubuntu !!!

    Quote Originally Posted by Anduu View Post
    You need to have the linux-restricted-modules package installed,in your case the real time ones.

    Code:
    sudo apt-get install linux-restricted-modules-rt
    I guess I should append that to the how-to
    Quote Originally Posted by uwe.koch.k View Post
    Hi Anduu,

    I did that and the system tells me that the *rt version already is the latest. I am stucked. By coincidence, the laptop I am configuring is the same as Dan1701a's.
    uname -r tells me 2.6.24-19-rt, but last build tells me /lib/modules/2.6.24-19-generic/build . How may I build 2.6.24-19-rt?

  3. #13
    Join Date
    Jun 2008
    Location
    North Carolina
    Beans
    103
    Distro
    Ubuntu 8.04 Hardy Heron

    Red face Re: How To:MadWifi Support for AR2425 (AR5007EG) on 64bit Ubuntu !!!

    I did the exact same thing you did to work it, and I have the same Wireless Stuff (trying to get through this fast). I get everything started up, and it shows my network just fine, but I can't get online with anything? What gives? Here is my pic:

    Oh no need to read this, because I got it working...Thank you!!! I've spent forever looking for a fix! Although, you need to put in the post that you have to uncheck the drivers before installation or after, then restart, reactivate them, restart again to function.
    Last edited by L337_K3y5; June 10th, 2008 at 10:11 PM. Reason: SOLVED

  4. #14
    Join Date
    Nov 2006
    Beans
    639

    Re: How To:MadWifi Support for AR2425 (AR5007EG) on 64bit Ubuntu !!!

    Hello Anduu,

    Thank you for your work!

    Would you be able to tell me how to get a copy of "build-essential", "linux-restricted-module" and "subversion"?

    I do not have a wired connection to my Kubuntu 8.04 machine. However, I do have the LiveCD.

    Also, how would I accomplish your step #4, without a internet connection to the Kubuntu machine?

    Thanks for any help you could offer.
    Last edited by DapperMe17; June 10th, 2008 at 10:46 PM.

  5. #15
    Join Date
    Jun 2008
    Beans
    22

    Re: How To:MadWifi Support for AR2425 (AR5007EG) on 64bit Ubuntu !!!

    Quote Originally Posted by DapperMe17 View Post

    Would you be able to tell me how to get a copy of "build-essential", "linux-restricted-module" and "subversion"?
    Go to http://packages.ubuntu.com/hardy/build-essential and download the right package for your cpu type. Transfer the file (its a .deb file) to the computer in question and double click the file.

    Hope I've helped.

  6. #16
    Join Date
    Aug 2007
    Beans
    40

    Re: How To:MadWifi Support for AR2425 (AR5007EG) on 64bit Ubuntu !!!

    Ok... this didn't work at all ;_;

    Now I can't even scan for networks... wtf...

    I had it working with ndiswrapper too.... damn

    How the hell do I fix or undue this all????
    Last edited by logrusmage; June 11th, 2008 at 04:27 AM.

  7. #17
    Join Date
    Apr 2006
    Location
    Alberta,Canada
    Beans
    1,135
    Distro
    Ubuntu Development Release

    Re: How To:MadWifi Support for AR2425 (AR5007EG) on 64bit Ubuntu !!!

    For those who can't get it to work try as L337_K3y5 suggested...go to System->Administration->Hardware Drivers and uncheck both Atheros restricted drivers,reboot and try again.

    If you haven't deleted the source code yet,clean up what you did previously by swtching to the madwifi dir and run
    Code:
    sudo make uninstall
    make clean
    I am not sure why some are having problems getting the appropriate linux-restricted-modules packages.Run in terminal
    Code:
    uname -r
    Then open synaptic and manually install the appropriate linux-restricted-modules package.
    What color do Smurfs turn when you choke em?
    ____________________________

  8. #18
    Join Date
    Apr 2006
    Location
    Alberta,Canada
    Beans
    1,135
    Distro
    Ubuntu Development Release

    Re: How To:MadWifi Support for AR2425 (AR5007EG) on 64bit Ubuntu !!!

    Quote Originally Posted by logrusmage View Post
    Ok... this didn't work at all ;_;

    Now I can't even scan for networks... wtf...

    I had it working with ndiswrapper too.... damn

    How the hell do I fix or undue this all????
    Without some specifics on what went wrong we can't help you.If need be all you need to do to get ndiswrapper back up is repeat whatever steps you took to make it work in the first place.

    Quote Originally Posted by DapperMe17 View Post
    Hello Anduu,

    Thank you for your work!

    Would you be able to tell me how to get a copy of "build-essential", "linux-restricted-module" and "subversion"?

    I do not have a wired connection to my Kubuntu 8.04 machine. However, I do have the LiveCD.

    Also, how would I accomplish your step #4, without a internet connection to the Kubuntu machine?

    Thanks for any help you could offer.
    Getting and installing packages from http://packages.ubuntu.com/hardy can be a tricky business...you need to find the packages plus any dependencies they require.This can quickly add up to a lot of files and installing them all through debs can be a pain.I highly recommend you beg/borrow/steal a wired connection somehow.
    What color do Smurfs turn when you choke em?
    ____________________________

  9. #19
    Join Date
    Aug 2007
    Beans
    40

    Re: How To:MadWifi Support for AR2425 (AR5007EG) on 64bit Ubuntu !!!

    Quote Originally Posted by Anduu View Post
    Without some specifics on what went wrong we can't help you.If need be all you need to do to get ndiswrapper back up is repeat whatever steps you took to make it work in the first place.
    Sigh... just tried that, ndiswrapper doesn't work anymore.

    Question:

    HAL is not checked off, but it still says IN USE. =/ The other driver has a red circle and says disabled. Is this the problem that is not allowing my ndiswrapper to work?

  10. #20
    Join Date
    Apr 2006
    Location
    Alberta,Canada
    Beans
    1,135
    Distro
    Ubuntu Development Release

    Re: How To:MadWifi Support for AR2425 (AR5007EG) on 64bit Ubuntu !!!

    Quote Originally Posted by logrusmage View Post
    Sigh... just tried that, ndiswrapper doesn't work anymore.

    Question:

    HAL is not checked off, but it still says IN USE. =/ The other driver has a red circle and says disabled. Is this the problem that is not allowing my ndiswrapper to work?
    From what I recall from when I used ndiswrapper the atheros drivers needed to be disabled before ndiswrapper could be installed/enabled.
    What color do Smurfs turn when you choke em?
    ____________________________

Page 2 of 24 FirstFirst 123412 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •